package org.osgeo.mapguide;


/**
 * Defines names for the different types of resources.
 *
 */
public class MgResourceType
{
   
/**
 * This resource is the runtime definition of a map.
 *
 */

   public static final String Map  = "Map"; /// \if INTERNAL  \endif 
   
/**
 * This resource is a map definition.
 *
 */

   public static final String MapDefinition  = "MapDefinition"; /// \if INTERNAL  \endif 
   
/**
 * This resource is a layer definition.
 *
 */

   public static final String LayerDefinition  = "LayerDefinition"; /// \if INTERNAL  \endif 
   
/**
 * TODO: API Documentation is missing or failed to translate doxygen brief directive (message inserted by IMake.exe)
 */

   public static final String DrawingSource  = "DrawingSource"; /// \if INTERNAL  \endif 
   
/**
 * TODO: API Documentation is missing or failed to translate doxygen brief directive (message inserted by IMake.exe)
 */

   public static final String FeatureSource  = "FeatureSource"; /// \if INTERNAL  \endif 
   
/**
 * This resource is a folder.
 *
 */

   public static final String Folder  = "Folder"; /// \if INTERNAL  \endif 
   
/**
 * This resource is a load procedure definition.
 *
 */

   public static final String LoadProcedure  = "LoadProcedure"; /// \if INTERNAL  \endif 
   
/**
 * This resource is a print layout.
 *
 */

   public static final String PrintLayout  = "PrintLayout"; /// \if INTERNAL  \endif 
   
/**
 * This resource is the runtime definition of a selection.
 *
 */

   public static final String Selection  = "Selection"; /// \if INTERNAL  \endif 
   
/**
 * This resource is a symbol definition.
 *
 */

   public static final String SymbolDefinition  = "SymbolDefinition"; /// \if INTERNAL  \endif 
   
/**
 * This resource is a library of symbols.
 *
 */

   public static final String SymbolLibrary  = "SymbolLibrary"; /// \if INTERNAL v \endif 
   
/**
 * This resource represents the screen layout for a specific
 * map.
 *
 */

   public static final String WebLayout  = "WebLayout"; /// \if INTERNAL  \endif 
   
/**
 * This resource represents a web application definition
 *
 */

   public static final String ApplicationDefinition  = "ApplicationDefinition"; /// \if INTERNAL  \endif 
   
}

