package org.osgeo.mapguide;


/**
 * {@link MgGeometryEntityType} defines two integer constants which
 * signify whether an {@link MgGeometricEntity} is a geometry or a
 * geometry ciomponent.
 *
 */
public class MgGeometryEntityType
{
   
/**
 * Specifies that the geometric entity is a geometry component.
 *
 */

   public static final int GeometryComponent = 0 ; 
   
/**
 * Specifies that the geometric entity is a geometry.
 *
 */

   public static final int Geometry = 1 ; 
   
}

